Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| org.netbeans.api.debugger.jpda/2 2.4.22
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.netbeans.api.debugger.jpda
Interface JPDAWatch

All Superinterfaces:
  Variable

    public interface JPDAWatch

extends Variable

Represents watch in JPDA debugger.

     It's strongly recommended
     not to implement this interface in client code. New methods can be added to
     this interface at any time to keep up with the JDI functionality.

Method Summary
`String` | `getExceptionDescription()` Returns description of problem is this watch can not be evaluated in current context.
`String` | `getExpression()` Watched expression.
`String` | `getToStringValue()` Calls `Object.toString()` in debugged JVM and returns its value.
`String` | `getType()` Declared type of this local.
`String` | `getValue()` Text representation of current value of this local.
`void` | `remove()` Remove the watch from the list of all watches in the system.
`void` | `setExpression(String expression)` Sets watched expression.
`void` | `setValue(String value)` Sets value of this local represented as text.

Method Detail

### getExpression

    String getExpression()

  Watched expression.

  Returns:
    watched expression

### setExpression

    void setExpression(String expression)

  Sets watched expression.

  Parameters:
    `expression` - a expression to be watched

### remove

    void remove()

  Remove the watch from the list of all watches in the system.

### getType

    String getType()

  Declared type of this local.

  Specified by:
    `getType` in interface `Variable`
  Returns:
    declared type of this local

### getValue

    String getValue()

  Text representation of current value of this local.

  Specified by:
    `getValue` in interface `Variable`
  Returns:
    text representation of current value of this local

### getExceptionDescription

    String getExceptionDescription()

  Returns description of problem is this watch can not be evaluated in current context.

  Returns:
    description of problem

### setValue

    void setValue(String value)
                  throws InvalidExpressionException

  Sets value of this local represented as text.

  Parameters:
    `value` - a new value of this variable represented as text
  Throws:
    `InvalidExpressionException`

### getToStringValue

    String getToStringValue()
                            throws InvalidExpressionException

  Calls `Object.toString()` in debugged JVM and returns its value.

  Returns:
    toString () value of this instance
  Throws:
    `InvalidExpressionException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| org.netbeans.api.debugger.jpda/2 2.4.22
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Built on December 7 2006. | Portions Copyright 1997-2005 Sun Microsystems, Inc. All rights reserved.